"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _exec = _interopRequireDefault(require("../../cmd/exec"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const gitAdd = async ({
  cwd,
  log
}, {
  files
}) => {
  if (files.length === 0) {
    return;
  }

  log.info('Add files to the staged:');
  log.info(files.map(file => `▸ ${file}`));
  await (0, _exec.default)({
    cmd: 'git',
    args: ['add', ...files.map(file => file === '.' ? '.' : `"${file}"`)],
    cwd,
    log
  });
};

var _default = gitAdd;
exports.default = _default;