"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _exec = _interopRequireDefault(require("../../cmd/exec"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const modes = ['modified', 'others'];

const gitLs = async ({
  cwd,
  log
}, {
  mode
}) => {
  log.info('Get the list of modified or other files');
  const args = ['ls-files', '--exclude-standard'];

  if (mode === 'all') {
    args.push(...modes.map(v => `--${v}`));
  } else {
    args.push(`--${mode}`);
  }

  const {
    stdout
  } = await (0, _exec.default)({
    cmd: 'git',
    args,
    cwd,
    log
  });
  log.info('Return a list of modified or other files');

  if (stdout.trim() === '') {
    log.debug('No modified or other files were found');
    return [];
  }

  const files = stdout.trim().split('\n');
  log.info(files.map(file => `▸ ${file}`));
  return files;
};

var _default = gitLs;
exports.default = _default;