"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _exec = _interopRequireDefault(require("../../cmd/exec"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const gitStaged = async ({
  cwd,
  log
}) => {
  log.info('Get the list of staged files');
  const {
    stdout
  } = await (0, _exec.default)({
    cmd: 'git',
    args: ['diff', '--staged', '--name-only'],
    cwd,
    log
  });

  if (stdout.trim() === '') {
    log.debug('No staged files were found');
    return [];
  }

  const files = stdout.trim().split('\n');
  log.info(files.map(file => `▸ ${file}`));
  return files;
};

var _default = gitStaged;
exports.default = _default;