"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = require("path");

var _toolLib = require("@kettil/tool-lib");

var _readFile = _interopRequireDefault(require("../../cmd/readFile"));

var _writeFile = _interopRequireDefault(require("../../cmd/writeFile"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const replaceKey = (text, key, value) => {
  const keyUpper = key.toUpperCase();
  const a = `%${keyUpper}%`;
  const b = `'%${keyUpper}%'`;
  const c = `"%${keyUpper}%"`;

  if (typeof value === 'undefined') {
    return text.replace(new RegExp([a, b, c].join('|'), 'g'), '');
  }

  if (typeof value === 'boolean') {
    return text.replace(new RegExp([b, c].join('|'), 'g'), value ? 'true' : 'false');
  }

  if (typeof value === 'object') {
    return text.replace(new RegExp([b, c].join('|'), 'g'), JSON.stringify(value));
  }

  return text.replace(new RegExp(a, 'g'), value);
};

const nodeTemplate = async ({
  cwd,
  tpl,
  log
}, {
  source,
  target = source,
  variables
}) => {
  try {
    log.debug(`Read the template file ${source}`);
    const content = await (0, _readFile.default)((0, _path.join)(tpl, source));
    log.info(`Create the template file ${target}`);
    await (0, _writeFile.default)((0, _path.join)(cwd, target), (0, _toolLib.objectEntries)(variables).reduce((text, [key, value]) => replaceKey(text, key, value), content));
  } catch (error) {
    log.error(`Can not create the template\n${source} -> ${target}`);
    throw error;
  }
};

var _default = nodeTemplate;
exports.default = _default;