"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _toolLib = require("@kettil/tool-lib");

var _exec = _interopRequireDefault(require("../../cmd/exec"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const npmInstall = async ({
  cwd,
  log
}, {
  packages,
  mode
}) => {
  if (packages.length > 0) {
    const uniquePackages = (0, _toolLib.uniqueArray)(packages.sort(_toolLib.compareAsc));
    const parameters = ['install', `--save-${mode}`, '--save-exact', ...uniquePackages];
    const logPackages = uniquePackages.map(name => `▸ ${name}`).join('\n');
    log.info(`Install following ${mode} packages:\n${logPackages}`);
    await (0, _exec.default)({
      cmd: 'npm',
      args: parameters,
      cwd,
      log
    });
  }
};

var _default = npmInstall;
exports.default = _default;