"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.getPackagePath = void 0;

var _path = require("path");

var _access = _interopRequireDefault(require("../../cmd/access"));

var _readFile = _interopRequireDefault(require("../../cmd/readFile"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getPackagePath = cwd => (0, _path.join)(cwd, 'package.json');

exports.getPackagePath = getPackagePath;

const npmPackageLoad = async ({
  cwd,
  log
}, {
  key,
  throwError
}) => {
  const path = getPackagePath(cwd);
  const isExists = await (0, _access.default)(path);

  if (!isExists) {
    throw new Error('package.json is not found');
  }

  log.debug('Read the package.json');
  const config = await (0, _readFile.default)(path, true);

  if (typeof key === 'undefined') {
    return config;
  }

  const value = config[key];

  if (throwError && typeof value === 'undefined') {
    throw new TypeError(`The package.json value "${key}" is undefiend`);
  }

  return value;
};

var _default = npmPackageLoad;
exports.default = _default;