"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _toolLib = require("@kettil/tool-lib");

var _writeFile = _interopRequireDefault(require("../../cmd/writeFile"));

var _packageLoad = _interopRequireWildcard(require("./packageLoad"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const update = (config, values) => {
  if ((0, _toolLib.objectKeys)(values).length === 0) {
    return config;
  }

  return Object.assign((0, _toolLib.isObject)(config) ? config : {}, values);
};

const updatePeerDependencies = (config, values) => {
  const peerDependencies = {};
  const packages = config.devDependencies;

  if (!(0, _toolLib.isObject)(packages)) {
    throw new Error('In the package.json is the devDependencies empty');
  }

  values.forEach(value => {
    const version = packages[value];

    if (typeof version !== 'string') {
      throw new TypeError(`The peerDependency "${value}" is not found in the devDependencies`);
    }

    peerDependencies[value] = version;
  });
  return update(config.peerDependencies, peerDependencies);
};

const npmPackageUpdate = async (argv, {
  settings: {
    bin,
    scripts,
    peerDependencies,
    ...settings
  }
}) => {
  const {
    cwd,
    log
  } = argv;
  const config = await (0, _packageLoad.default)(argv, {});

  if (!(0, _toolLib.isObject)(config)) {
    throw new TypeError('Package could not be interpreted as an object');
  }

  Object.assign(config, settings); // Update the bin part

  if (bin) {
    config.bin = update(config.bin, bin);
  } // Update the scripts part


  if (scripts) {
    config.scripts = update(config.scripts, scripts);
  } // Update the peerDependencies part


  if (peerDependencies && peerDependencies.length > 0) {
    config.peerDependencies = updatePeerDependencies(config, peerDependencies);
  }

  log.info('Extend the package.json');
  await (0, _writeFile.default)((0, _packageLoad.getPackagePath)(cwd), config);
};

var _default = npmPackageUpdate;
exports.default = _default;