"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = require("path");

var _exec = _interopRequireDefault(require("../../cmd/exec"));

var _helper = require("../../helper");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const configs = ['commitlint.config.js', '.commitlintrc.js', '.commitlintrc.json', '.commitlintrc.yml'];

const commitlint = async ({
  cwd,
  cfg,
  log
}, {
  edit
}) => {
  const hasConfigFile = await (0, _helper.existConfigFile)(cwd, configs);
  const cmd = './node_modules/.bin/commitlint';
  const args = [];
  args.push('--edit', edit);
  args.push('--color');

  if (!hasConfigFile) {
    args.push('--config', (0, _path.relative)(cwd, (0, _path.join)(cfg, 'commitlintrc.json')));
  }

  log.info('Run commitlint');
  await (0, _exec.default)({
    cmd,
    args,
    cwd,
    log
  });
};

var _default = commitlint;
exports.default = _default;