"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _promises = require("fs/promises");

var _path = require("path");

var _access = _interopRequireDefault(require("../../../cmd/access"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const getPackagePaths = async packagePath => {
  const nodeModulesPath = (0, _path.join)(packagePath, 'node_modules');
  const packagePaths = [packagePath];
  const isNodeModulesReadable = await (0, _access.default)(nodeModulesPath, 'readable');

  if (isNodeModulesReadable) {
    const files = await (0, _promises.readdir)(nodeModulesPath, {
      encoding: 'utf8',
      withFileTypes: true
    });
    const promises = files.filter(file => file.isDirectory() && !file.name.startsWith('.')).map(folder => getPackagePaths((0, _path.join)(nodeModulesPath, folder.name)));
    packagePaths.push(...(await Promise.all(promises)).flat());
  }

  return packagePaths;
};

var _default = getPackagePaths;
exports.default = _default;