"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.builder = exports.handler = exports.desc = exports.command = void 0;

var _yargs = require("../cli/yargs");

var _analyseTask = _interopRequireWildcard(require("../tasks/analyseTask"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const command = 'analyse';
exports.command = command;
const desc = 'Run code quality tools';
exports.desc = desc;
const options = {
  group: `${command}-Options`
};
const handler = (0, _yargs.createHandler)(_analyseTask.default);
exports.handler = handler;
const builder = (0, _yargs.createBuilder)(command, yargs => yargs.options({
  only: { ...options,
    choices: _analyseTask.analyseServices,
    describe: 'Run a single code quality tool'
  }
}));
exports.builder = builder;