"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.cleanCliValue = exports.exit = exports.existConfigFile = void 0;

var _path = require("path");

var _access = _interopRequireDefault(require("./cmd/access"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line import/prefer-default-export
const existConfigFile = async (cwd, files) => {
  const exists = await Promise.all(files.map(file => (0, _access.default)((0, _path.join)(cwd, file))));
  return exists.some(v => v);
};

exports.existConfigFile = existConfigFile;

const exit = (code = 1) => {
  /* eslint-disable-next-line node/no-process-exit, unicorn/no-process-exit */
  process.exit(code);
};
/* eslint-disable-next-line no-control-regex */


exports.exit = exit;

const cleanCliValue = v => v.replace(/(\u001B)?\[[0-9]{1,2}m/gu, '');

exports.cleanCliValue = cleanCliValue;