"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _toolLib = require("@kettil/tool-lib");

var _depcheck = _interopRequireDefault(require("../actions/tools/depcheck"));

var _semver = _interopRequireDefault(require("../actions/tools/semver"));

var _config = _interopRequireDefault(require("../cli/config"));

var _spinner = require("../cli/spinner");

var _dependencyError = _interopRequireDefault(require("../errors/dependencyError"));

var _taskHook = _interopRequireDefault(require("./helpers/taskHook"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const depsTask = async argv => {
  const configIgnorePackages = await (0, _config.default)(argv.cwd, 'deps.ignore.packages');
  const ignorePackages = (0, _toolLib.isArray)(configIgnorePackages) ? configIgnorePackages.filter(v => typeof v === 'string') : [];
  await (0, _taskHook.default)(argv, {
    task: 'deps',
    type: 'pre'
  });

  try {
    await (0, _spinner.spinnerAction)((0, _depcheck.default)(argv, ignorePackages), 'Dependency verification');
  } catch (error) {
    if (!(error instanceof _dependencyError.default)) {
      throw error;
    }

    argv.log.log(error.list);
  }

  await (0, _spinner.spinnerAction)((0, _semver.default)(argv), 'Semver check');
  await (0, _taskHook.default)(argv, {
    task: 'deps',
    type: 'post'
  });
};

var _default = depsTask;
exports.default = _default;