"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _toolLib = require("@kettil/tool-lib");

var _packageLoad = _interopRequireDefault(require("../../actions/npm/packageLoad"));

var _run = _interopRequireDefault(require("../../actions/npm/run"));

var _spinner = require("../../cli/spinner");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const taskHook = async (argv, {
  task,
  type
}) => {
  const scripts = await (0, _packageLoad.default)(argv, {
    key: 'scripts'
  });
  const script = `${type}carna:${task}`;

  if ((0, _toolLib.isObject)(scripts) && typeof scripts[script] === 'string') {
    await (0, _spinner.spinnerAction)((0, _run.default)(argv, {
      script
    }), `Run npm script: ${script}`);
  } else {
    argv.log.info(`The NPM script "${script}" is not defined`);
  }
};

var _default = taskHook;
exports.default = _default;