"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = require("path");

var _access = _interopRequireDefault(require("../../cmd/access"));

var _exec = _interopRequireDefault(require("../../cmd/exec"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const runHook = async (cwd, log, project, path) => {
  const cmd = './node_modules/.bin/babel-node';
  const args = ['-x', '.js,.ts', '--', path];
  log.debug(`Run ${(0, _path.basename)(path)} for test project ${project}`);
  await (0, _exec.default)({
    cmd,
    args,
    cwd,
    log
  });
};

const testHook = async (argv, {
  project,
  type
}) => {
  const pathTs = (0, _path.join)(argv.cwd, 'tests', project, `${type}.ts`);
  const pathJs = (0, _path.join)(argv.cwd, 'tests', project, `${type}.js`);
  const isReadableTs = await (0, _access.default)(pathTs, 'readable');

  if (isReadableTs) {
    await runHook(argv.cwd, argv.log, project, pathTs);
    return;
  }

  const isReadableJs = await (0, _access.default)(pathJs, 'readable');

  if (isReadableJs) {
    await runHook(argv.cwd, argv.log, project, pathJs);
  }
};

var _default = testHook;
exports.default = _default;